//
// Copyright (c) 2002
// Ronald Kevin Burton
//
// Z poniższym kodem nie jest związana żadna gwarancja poprawności działania.
// Program został dołączony do książki ".NET CLR. Księga eksperta" w celu
// ilustracji koncepcji i zasad przedstawionych w tej książce. Program może być 
// używany na własne ryzyko.
//
// Przyznaje się prawo do użycia lub kopiowania tego oprogramowania do dowolnego celu
// bez konieczności ponoszenia żadnych opłat pod warunkiem, że powyższe uwagi zostaną 
// zachowane we wszystkich kopiach. Przyznaje się także prawo do modyfikacji kodu
// i dystrybucji zmodyfikowanego kodu pod warunkiem zachowania powyższych uwag
// oraz dołączenia informacji mówiącej o modyfikacji kodu.
//
// 
using System;
using System.Text.RegularExpressions;

namespace FrameworkLibraries
{
    public class RegexMain
	{
        public static void Main(String[] args)
		{
            Regex emailregex = new Regex("(?<user>[^@]+)@(?<host>.+)");
            string s = "imie.nazwisko@mojafirma.com";

            if ( args.Length > 0 )
			{
                s = args[0];
            }

            Match m = emailregex.Match(s);

            if ( m.Success )
			{
                Console.WriteLine("Użytkownik: " + m.Groups["user"].Value);
                Console.WriteLine("Host: " + m.Groups["host"].Value);
            }
			else
			{
                Console.WriteLine(s + " nie jest poprawnym adresem emailowym");
            }
        }
    }
}